--- src/bindfs.c
+++ src/bindfs.c
@@ -326,7 +326,7 @@
                         void *data);
 #endif
 static int bindfs_statfs(const char *path, struct statvfs *stbuf);
+#if __APPLE__
-#ifdef HAVE_FUSE_T
 static int bindfs_statfs_x(const char *path, struct statfs *stbuf);
 #endif
 static int bindfs_release(const char *path, struct fuse_file_info *fi);
@@ -1528,7 +1528,7 @@
     return 0;
 }
 
+#if __APPLE__
-#ifdef HAVE_FUSE_T
 static int bindfs_statfs_x(const char *path, struct statfs *stbuf)
 {
     int res;
@@ -1581,7 +1581,7 @@
    understanding from the osxfuse example file:
    https://github.com/osxfuse/fuse/blob/master/example/fusexmp_fh.c */
 
+#ifdef __APPLE__
-#ifdef HAVE_FUSE_T
 static int bindfs_setxattr(const char *path, const char *name, const char *value,
                            size_t size, int flags, uint32_t position)
 #else
@@ -1601,7 +1601,7 @@
     if (real_path == NULL)
         return -errno;
 
+#if defined(__APPLE__)
-#if HAVE_FUSE_T
     if (!strncmp(name, XATTR_APPLE_PREFIX, sizeof(XATTR_APPLE_PREFIX) - 1)) {
         flags &= ~(XATTR_NOSECURITY);
     }
@@ -1626,7 +1626,7 @@
     return 0;
 }
 
+#ifdef __APPLE__
-#ifdef HAVE_FUSE_T
 static int bindfs_getxattr(const char *path, const char *name, char *value,
                            size_t size, uint32_t position)
 #else
@@ -1643,7 +1643,7 @@
     if (real_path == NULL)
         return -errno;
 
+#if defined(__APPLE__)
-#if HAVE_FUSE_T
     if (strcmp(name, A_KAUTH_FILESEC_XATTR) == 0) {
         char new_name[MAXPATHLEN];
         memcpy(new_name, A_KAUTH_FILESEC_XATTR, sizeof(A_KAUTH_FILESEC_XATTR));
@@ -1785,7 +1785,7 @@
     .ioctl      = bindfs_ioctl,
 #endif
     .statfs     = bindfs_statfs,
+#ifdef __APPLE__
-#ifdef HAVE_FUSE_T
     .statfs_x   = bindfs_statfs_x,
 #endif
     .release    = bindfs_release,
